# Disconnecting from signal

## From inside `AcediaObject` (or its child class)

Supposing you want to disconnect from a signal function
`_server.unreal.gameRules.OnNetDamage()`:

```unrealscript
_server.unreal.gameRules.OnNetDamage(self).Disconnect();
```

## From inside non-`AcediaObject`

To do that you must have passed another `AcediaObject` as an argument to
`OnNetDamage()` (or any other signal).
Supposing that object was called `receiver`:

```unrealscript
_server.unreal.gameRules.OnNetDamage(receiver).Disconnect();
```
