# Packaging a Feature

Suppose you've created your own `Feature` class and want to compile it to be
usable with Acedia.
In this how-to we will assume that your class is named `MyFeature_Feature`
(same as [here](./creating_feature.md)).

## Create regular UnrealScript mod

First step is still to prepare compilation of `*.u` file, like one would do for
any regular UnrealScript mod and put your `*.uc` script files inside.

## Create manifest

To know what is available in each package, Acedia reads its manifest.
To add a manifest create a file named exactly 'Manifest.uc' in your package:

```unrealscript
//  Manifest.uc
class Manifest extends _manifest
    abstract;

defaultproperties
{
}
```

## Register feature in the manifest

To add your `Feature` into manifest, simply fill it inside `features` array:

```unrealscript
//  Manifest.uc
 class Manifest extends _manifest
    abstract;

defaultproperties
{
    //  You can add any amount of features from a single package here
    features(0) = class'MyFeature_Feature'
}
```
